"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileSystemManage = void 0;
class FileSystemManage {
    constructor() {
        this.providers = new Map();
    }
    add(scheme, provider) {
        if (this.providers.has(scheme)) {
            throw new Error(`A provider for the scheme ${scheme} is already registered.`);
        }
        this.providers.set(scheme, provider);
        return {
            dispose: () => {
                this.providers.delete(scheme);
            },
        };
    }
    delete(scheme) {
        this.providers.delete(scheme);
    }
    get(scheme) {
        return this.providers.get(scheme);
    }
}
exports.FileSystemManage = FileSystemManage;
//# sourceMappingURL=file-system-manage.js.map